publications/urls.py
from publications import views
from django.urls import path

app_name = 'publications'
urlpatterns = [
    path('',views.PublicationListView.as_view(), name='list'),
    path('claim-confirmed/',views.claim_confirmed, name='claim_confirmed'),
    path('<pk>/',views.PublicationDetailsView.as_view(), name='detail'),
    path('verify/<pk>/',views.verify, name='verify'),
    path('claim/<pk>/',views.claim, name='claim'),
]

publications/templates/crossref/partials/action_list.html
{% load i18n authentication %}

<ul class='icons text-secondary w-100 d-flex'>
  <li data-bs-toggle="tooltip" data-bs-placement="top" title="Preview data">
    <a href="{% url "publications:detail" pk=pub.pk %}" class="icon chart">
      <span class="label">Data</span>
    </a>
  </li>
  <li data-bs-toggle="tooltip" data-bs-placement="top" title="Go to article">
    <a href="https://doi.org/{{pub.DOI}}" class="icon {% if not pub.DOI %}disabled{% endif %} solid globe">
      <span class="label">{% trans "View article" %}</span>
    </a>
  </li>
  <li data-bs-toggle="tooltip" data-bs-placement="top" title="Access PDF">
    <a href="https://doi.org/{{pub.doi}}" class="icon pdf {% if not pub.pdf %}disabled{% endif %}">
      <span class="label">Article</span>
    </a>
  </li>
  <li data-bs-toggle="tooltip" data-bs-placement="top" title="Quick Download">
    <a href="{% url "publications:detail" pk=pub.pk %}?download" class="icon download">
      <span class="label">Article</span>
    </a>
  </li>


  <li data-bs-toggle="tooltip" data-bs-placement="top" title="Export citation">
    <div class="dropleft no-arrow" data-trigger="hover" data-content="Cite article">
    <a id='dropdownMenuLink' class='icon export' role="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false"></a>
    <div class="dropdown-menu">
      <a class="dropdown-item" href="?plain">Plain Text</a>
      <a class="dropdown-item" href="?bibtex">Bibtex</a>
      <a class="dropdown-item" href="?ris">RIS</a>
    </div>
  </div>
</li>
  <li class="ms-auto">
    <div class="dropleft no-arrow">
      <a class='icon ellipsis-v' href="#" role="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><span class="label">Actions</span></a>
      <div class="dropdown-menu">
        {% if user.is_authenticated %}
          <a href='#' class="dropdown-item" data-bs-toggle="modal" data-target="#claimPublication">Claim</a>
        {% else %}
          {% auth_link '#loginModal' 'Claim' "dropdown-item" %}
        {% endif %}
      </div>
    </div>
  </li> 
</ul>